%Save output variables in 'segmentedrun.mat' file.
%If 'segmentedrun.mat' file already exists, append new data to old 'segmentedrun.mat'

if (exist('segmentedrun.mat')> 0.1)
time9=time1;
rpm_compr9 = rpm_compr;
power_compr9 = power_compr;
power_condfan9 = power_condfan;
power_blower9 = power_blower;
rpm_drive9 = rpm_drive1;
ambient9 = ambient;
onoff_cabin9 = onoff_cabin1;
onoff_evap9 = onoff_evap1;
mdaout_evap9 = mdaout_evap;
qwr_cond9 = qwr_cond;
qwr_evap9 = qwr_evap;
pcabin9 = pcabin;
tcabinint9 = tcabinint;
tcabinshell9 = tcabinshell;
pdcompr9 = pdcompr;
systplow9 = systplow;
afr_txv9 = afr_txv;
hx_cabinair9 = hx_cabinair;
velvehicle9 = velvehicle;
recirc9 = recirc;
htinsolar9 = htinsolar;
tevapwall9 = tevapwall;
tdevap9 = tdevap;
afr_txv9 = afr_txv;
mtotrefr9 = mtotrefr;
qorif9 = qorif;
contr19 = contr1;
contr29 = contr2;
contr39 = contr3;
contr49 = contr4;
contr59 = contr5;
contr69 = contr6;
contr79 = contr7;
contr89 = contr8;

load segmentedrun;
nx9 = length(time9);
time1 = [time1;time9(2:nx9)];
rpm_compr = [rpm_compr;rpm_compr9(2:nx9)];
power_compr = [power_compr;power_compr9(2:nx9)];
power_condfan = [power_condfan;power_condfan9(2:nx9)];
power_blower = [power_blower;power_blower9(2:nx9)];
rpm_drive1=[rpm_drive1;rpm_drive9(2:nx9)];
ambient = [ambient;ambient9(2:nx9,:)];
onoff_cabin1 = [onoff_cabin1;onoff_cabin9(2:nx9)];
onoff_evap1 = [onoff_evap1;onoff_evap9(2:nx9)];
mdaout_evap = [mdaout_evap;mdaout_evap9(2:nx9,:)];
qwr_cond = [qwr_cond;qwr_cond9(2:nx9,:)];
qwr_evap = [qwr_evap;qwr_evap9(2:nx9,:)];
pcabin = [pcabin;pcabin9(2:nx9,:)];
tcabinint = [tcabinint;tcabinint9(2:nx9)];
tcabinshell = [tcabinshell;tcabinshell9(2:nx9)];
pdcompr = [pdcompr;pdcompr9(2:nx9)];
systplow = [systplow;systplow9(2:nx9)];
afr_txv = [afr_txv;afr_txv9(2:nx9)];
hx_cabinair = [hx_cabinair;hx_cabinair9(2:nx9,:)];
velvehicle = [velvehicle; velvehicle9(2:nx9,:)];
recirc = [recirc; recirc9(2:nx9,:)];
htinsolar = [htinsolar; htinsolar9(2:nx9,:)];
tevapwall = [tevapwall; tevapwall9(2:nx9,:)];
tdevap = [tdevap;tdevap9(2:nx9)];
afr_txv = [afr_txv;afr_txv9(2:nx9)];
mtotrefr = [mtotrefr;mtotrefr9(2:nx9)];
qorif = [qorif;qorif9(2:nx9)];
contr1 = [contr1;contr19(2:nx9)];
contr2 = [contr2;contr29(2:nx9)];
contr3 = [contr3;contr39(2:nx9)];
contr4 = [contr4;contr49(2:nx9)];
contr5 = [contr5;contr59(2:nx9)];
contr6 = [contr6;contr69(2:nx9)];
contr7 = [contr7;contr79(2:nx9)];
contr8 = [contr8;contr89(2:nx9)];
end

save segmentedrun time1 rpm_compr power_compr power_condfan power_blower rpm_drive1 ambient onoff_cabin1...
     onoff_evap1 mdaout_evap qwr_cond qwr_evap pcabin tcabinint tcabinshell pdcompr systplow...
     afr_txv hx_cabinair velvehicle recirc htinsolar tevapwall tdevap afr_txv mtotrefr qorif...
     contr1 contr2 contr3 contr4 contr5 contr6 contr7 contr8;
