% Run the first 10 seconds of the SC03 cycle for mechanical drive
% compressor and control for operating conditions defined in point_mc_01

point_mc01;               %load initializations/parameters for SC03 cycle
trun=1.0;                %set the length of the simulation
sim CoolSim_v84           %run the simulation model model_mc
plots_basic_mc            %plot the cooling circuit specific output for the 0-30 sec simulation interval
plots_cabin_mc            %plot the cabin specific output for the 0-30 sec simulation interval
plots_cycle               %plot the thermodynamic cycle at t=30 sec on the P-h space

